org.eclipse.jgit.diff

## Enum DiffEntry.ChangeType

- java.lang.Object
- - java.lang.Enum<DiffEntry.ChangeType>
  - - org.eclipse.jgit.diff.DiffEntry.ChangeType

All Implemented Interfaces:
  Serializable, Comparable<DiffEntry.ChangeType>

Enclosing class:
  DiffEntry

    public static enum DiffEntry.ChangeType
    extends Enum<DiffEntry.ChangeType>

General type of change a single file-level patch describes.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD` Add a new file to the project
`COPY` Copy an existing file to a new location, keeping the original
`DELETE` Delete an existing file from the project
`MODIFY` Modify an existing file in the project (content and/or mode)
`RENAME` Rename an existing file to a new location

### Method Summary

All Methods Static Methods Concrete Methods
`static DiffEntry.ChangeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DiffEntry.ChangeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD

    public static final DiffEntry.ChangeType ADD

Add a new file to the project

#### MODIFY

    public static final DiffEntry.ChangeType MODIFY

Modify an existing file in the project (content and/or mode)

#### DELETE

    public static final DiffEntry.ChangeType DELETE

Delete an existing file from the project

#### RENAME

    public static final DiffEntry.ChangeType RENAME

Rename an existing file to a new location

#### COPY

    public static final DiffEntry.ChangeType COPY

Copy an existing file to a new location, keeping the original

### Method Detail

#### values

    public static DiffEntry.ChangeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DiffEntry.ChangeType c : DiffEntry.ChangeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DiffEntry.ChangeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null